%define patch_name	kernel-fix-drivers-pci

Name: %patch_name
Version: 2004.05.09
Release: alt1

Summary: %patch_name - Linux kernel PCI subsystem and drivers fixes
License: GPL
Group: Development/Other
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

%source  1	01_pci-serverworks-add.patch
%source  2	02_pci-suspend.patch
%source  3	03_nvidia-nforce2-c1halt.patch

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
Linux kernel PCI subsystem and drivers fixes

%install

%install_patches

%files
%_usrsrc/*

%changelog
* Sun May 09 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.09-alt1
- Updated for kernel 2.4.26.
- Removed obsolete patches:
  - 03_pci_ids-intel.patch
  - 04_intel-ICH6-irq.patch
- Added:
  + 03_nvidia-nforce2-c1halt.patch: Fixup for C1 Halt Disconnect problem on
    nForce2 systems

* Thu Mar 18 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.03.18-alt1
- Added:
  + 03_pci_ids-intel.patch: update pci_ids.h with new Intel PCI ids
  + 04_intel-ICH6-irq.patch: add Intel ICH6 irq router

* Mon Feb 23 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.23-alt1
- Updated for 2.4.25.
- Removed obsolete patches (merged upstream):
  - 03_asus-smbus.patch
  - 04_pci-pc-asm-constraint.patch
  - 05_ich-4-5-quirk.patch

* Thu Nov 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.06-alt1
- Added:
  + 04_pci-pc-asm-constraint.patch
  + 05_ich-4-5-quirk.patch

* Sun Sep 21 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.21-alt1
- added:
    - 03_asus-smbus.patch - enable SMBus controller on some ASUS boards where
      it is disabled by BIOS

* Fri Jul  4 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.30-alt3
- spec typos fixed

* Tue Jul  1 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.30-alt2
- spec improvements: using %%source and %%install_patches macroses

* Mon Jun 30 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.30-alt1
- Initial release

